package ru.fincode.tsudesk

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.ui.graphics.Color
import androidx.core.view.WindowCompat
import dagger.hilt.android.AndroidEntryPoint
import ru.fincode.tsudesk.core.ui.components.ConfigureSystemBars
import ru.fincode.tsudesk.core.ui.theme.TSUDeskTheme
import ru.fincode.tsudesk.core.ui.theme.TSUDeskThemeExt
import ru.fincode.tsudesk.presentation.TSUDeskApp

@AndroidEntryPoint
class MainActivity : ComponentActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        WindowCompat.setDecorFitsSystemWindows(window, false)
        setContent {
            TSUDeskTheme {
                ConfigureSystemBars(
                    statusBarColor = Color.Transparent,
                    navigationBarColor = TSUDeskThemeExt.colors.brand,
                    darkIcons = false
                )
                TSUDeskApp()
            }
        }
    }
}